summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnton Hansson <hansson@google.com>2018-10-24 17:09:11 +0000
committerGerrit Code Review <noreply-gerritcodereview@google.com>2018-10-24 17:09:11 +0000
commit67bf7dd1b42a6ed0d4f41bedb967e2ac56034149 (patch)
treefb03f2cd38a1fc6a55899c1f2f8d82f1d7d460fe
parent69595d49f54006121e15d5372c388fc20cc51771 (diff)
parentbead54efc0ba2f10aedc553c76b8d47477fdd3dc (diff)
downloadextras-67bf7dd1b42a6ed0d4f41bedb967e2ac56034149.tar.gz
Merge "Add preloads_copy script"
-rw-r--r--cppreopts/preloads_copy.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/cppreopts/preloads_copy.sh b/cppreopts/preloads_copy.sh
new file mode 100644
index 00000000..7e5e8e4a
--- /dev/null
+++ b/cppreopts/preloads_copy.sh
@@ -0,0 +1,38 @@
+#!/system/bin/sh
+#
+# Copyright (C) 2016 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This script copies preloaded content from system_b to data partition
+
+# create files with 644 (global read) permissions.
+umask 022
+
+if [ $# -eq 1 ]; then
+ # Where the system_b is mounted that contains the preloads dir
+ mountpoint=$1
+ dest_dir=/data/preloads
+ log -p i -t preloads_copy "Copying from $mountpoint/preloads"
+ # Parallelize by copying subfolders and files in the background
+ for file in $(find ${mountpoint}/preloads -mindepth 1 -maxdepth 1); do
+ cp -rn $file $dest_dir &
+ done
+ # Wait for jobs to finish
+ wait
+ log -p i -t preloads_copy "Copying complete"
+ exit 0
+else
+ log -p e -t preloads_copy "Usage: preloads_copy.sh <system_other-mount-point>"
+ exit 1
+fi